Enum Class ConnectionService
- All Implemented Interfaces:
APIParam, Serializable, Comparable<ConnectionService>, Constable
The name of the available cross-connect connection service
(
Connection_services in the cross-connects v2 and lookup v2 specs).
UNKNOWN is a read-side fallback - never send it.-
Nested Class Summary
Nested classes/interfaces inherited from class Enum
Enum.EnumDesc<E> -
Enum Constant Summary
Enum Constants -
Method Summary
Modifier and TypeMethodDescriptionstatic ConnectionServicefromString(String value) static ConnectionServiceReturns the enum constant of this class with the specified name.static ConnectionService[]values()Returns an array containing the constants of this enum class, in the order they are declared.Methods inherited from class Enum
clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOfMethods inherited from interface APIParam
paramValueModifier and TypeMethodDescriptiondefault StringThe value exactly as it must appear on the wire in a query or path parameter.
-
Enum Constant Details
-
COAX
-
MP4_CABLE
-
MULTI_MODE_FIBER
-
POTS
-
SINGLE_MODE_FIBER
-
UTP
-
UNKNOWN
-
-
Method Details
-
values
Returns an array containing the constants of this enum class, in the order they are declared.- Returns:
- an array containing the constants of this enum class, in the order they are declared
-
valueOf
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)- Parameters:
name- the name of the enum constant to be returned.- Returns:
- the enum constant with the specified name
- Throws:
IllegalArgumentException- if this enum class has no constant with the specified nameNullPointerException- if the argument is null
-
fromString
-